type_plus 2.1.0 copy "type_plus: ^2.1.0" to clipboard
type_plus: ^2.1.0 copied to clipboard

Give your types superpowers and spice up your generics. Make types great again.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add type_plus

With Flutter:

 $ flutter pub add type_plus

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  type_plus: ^2.1.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:type_plus/type_plus.dart';
17
likes
130
pub points
78%
popularity

Publisher

verified publisherschultek.de

Give your types superpowers and spice up your generics. Make types great again.

Repository (GitHub)
View/report issues

Documentation

API reference

Funding

Consider supporting this project:

github.com

License

MIT (LICENSE)

More

Packages that depend on type_plus